Loading...
Searching...
No Matches
cxx::New_allocator< _Type > Class Template Reference
Small C++ Template Library

Standard allocator based on `operator new ()` . More...

`#include <std_alloc>`

Inheritance diagram for cxx::New_allocator< _Type >:
Collaboration diagram for cxx::New_allocator< _Type >:

## Detailed Description

template<typename _Type>
class cxx::New_allocator< _Type >

Standard allocator based on `operator new ()` .

This allocator is the default allocator used for the cxx Containers, such as cxx::Avl_set and cxx::Avl_map, to allocate the internal data structures.

Definition at line 56 of file std_alloc.

The documentation for this class was generated from the following file:

- l4/cxx/std_alloc